summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Šime Ramov2010-04-20 00:42:52 +0200
committer David Somero2010-05-15 10:38:28 +0200
commit4899883d6e4705aa99d89ed8b6e6839911d729a0 (patch)
treed1b11863737aac81aa32c6a5135bc0d2c0140964
parent60644ed4a3177160e87fc24f2d88f84166ebe397 (diff)
downloadslackbuilds-4899883d6e4705aa99d89ed8b6e6839911d729a0.tar.gz
libraries/libev: Added (high-performance event loop/model library)
-rw-r--r--libraries/libev/README9
-rw-r--r--libraries/libev/libev.SlackBuild70
-rw-r--r--libraries/libev/libev.info10
-rw-r--r--libraries/libev/slack-desc19
4 files changed, 108 insertions, 0 deletions
diff --git a/libraries/libev/README b/libraries/libev/README
new file mode 100644
index 0000000000..9e582dd58d
--- /dev/null
+++ b/libraries/libev/README
@@ -0,0 +1,9 @@
+libev (a high-performance event loop/model)
+
+Libev is modelled (very loosely) after libevent and the Event perl
+module, but is faster, scales better and is more correct, and also
+more featureful. And also smaller. Yay.
+
+Note: libev and libevent both have a usr/include/event.h
+header file. This could lead to compile problems if both
+packages are installed at the same time. \ No newline at end of file
diff --git a/libraries/libev/libev.SlackBuild b/libraries/libev/libev.SlackBuild
new file mode 100644
index 0000000000..b56c529bf9
--- /dev/null
+++ b/libraries/libev/libev.SlackBuild
@@ -0,0 +1,70 @@
+#!/bin/sh
+
+# Slackware build script for libev
+# Written by Šime Ramov <s@ramov.com>
+
+PRGNAM=libev
+VERSION=${VERSION:-3.9}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README LICENSE Changes $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libev/libev.info b/libraries/libev/libev.info
new file mode 100644
index 0000000000..9d513d892d
--- /dev/null
+++ b/libraries/libev/libev.info
@@ -0,0 +1,10 @@
+PRGNAM="libev"
+VERSION="3.9"
+HOMEPAGE="http://software.schmorp.de/pkg/libev.html"
+DOWNLOAD="http://dist.schmorp.de/libev/libev-3.9.tar.gz"
+MD5SUM="40fe7d56d70db83cc0c22a6a68d87a96"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Šime Ramov"
+EMAIL="s@ramov.com"
+APPROVED="dsomero"
diff --git a/libraries/libev/slack-desc b/libraries/libev/slack-desc
new file mode 100644
index 0000000000..4eef8879d0
--- /dev/null
+++ b/libraries/libev/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libev: libev (a high-performance event loop/model)
+libev:
+libev: Libev is modelled (very loosely) after libevent and the Event perl
+libev: module, but is faster, scales better and is more correct, and also
+libev: more featureful. And also smaller. Yay.
+libev:
+libev: Website: <http://software.schmorp.de/pkg/libev.html>
+libev:
+libev:
+libev:
+libev: